/**
 * Gtest test suite for GEIS v1 instances.
 *
 * Copyright 2012 Canonical Ltd.
 */
#define _XOPEN_SOURCE 600
#include <stdlib.h>
#include "geis/geis.h"
#include <gtest/gtest.h>
#include <xorg/gtest/test.h>


namespace
{


/*
 * Regression test for lp:973539.
 *
 * The problem would only occur if an appropriate X server was
 * unavailable or did not support the required XI2.2 functionality.
 *
 */
TEST(Geis1InstanceTests, basic)
{
  unsetenv("DISPLAY");
  GeisXcbWinInfo xcb_win_info = { NULL, NULL, 0 };
  GeisWinInfo win_info = { GEIS_XCB_FULL_WINDOW, &xcb_win_info };
  GeisInstance geis;
  ASSERT_NE(GEIS_STATUS_SUCCESS, geis_init(&win_info, &geis));
}

} // anonymous namespace
